Get Earned Baseline Curve

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developers.smartpm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
"SmartPM Public API MCP server": {
  "url": "https://developers.smartpm.com/mcp"
}
Close
GET /public/v1/projects/{projectId}/scenarios/{scenarioId}/earned-schedule-curve

Headers

  • X-COMPANY-ID string Required

    The company's unique ID

Path parameters

  • projectId integer(int64) Required
  • scenarioId integer(int64) Required

Query parameters

  • dataDate string

Responses

  • 500 */*

    Internal Server Error

  • 200 */*

    OK

    Hide response attribute Show response attribute object
    • data array[object]
      Hide data attributes Show data attributes object
      • date string(date)
      • earnedDays integer(int64)
      • plannedDays integer(int64)
      • predictiveDays integer(int64)
GET /public/v1/projects/{projectId}/scenarios/{scenarioId}/earned-schedule-curve
curl \
 --request GET 'https://live.smartpmtech.com/public/v1/projects/{projectId}/scenarios/{scenarioId}/earned-schedule-curve' \
 --header "X-API-KEY: $API_KEY" \
 --header "X-COMPANY-ID: string"
Response examples (500)
{}
Response examples (200)
{
  "data": [
    {
      "date": "2026-05-04",
      "earnedDays": 42,
      "plannedDays": 42,
      "predictiveDays": 42
    }
  ]
}